---
description: Tracks the number of accepted code suggestions. Important for AI analytics
internal_events: true
action: code_suggestion_accepted_in_ide
additional_properties:
  label:
    description: not actually used - to be fixed in https://gitlab.com/gitlab-org/gitlab/-/issues/501387
  property:
    description: not actually used - to be fixed in https://gitlab.com/gitlab-org/gitlab/-/issues/501387
  unique_tracking_id:
    description: unique tracking id of the event
  timestamp:
    description: timestamp of the event
  language:
    description: programming language used for the suggestion
  suggestion_size:
    description: size of the suggestion
identifiers:
- user
product_group: code_creation
milestone: '17.1'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/153881
tiers:
- premium
- ultimate
